
# machine learning __init__.py

__author__ = ', '.join([
    'Michael E. Vinyard'
])
__email__ = ', '.join([
    'vinyard@g.harvard.edu',
])

from ._sc_odeint import _sc_odeint
from ._get_minibatch import _get_minibatch

from ._diffeq_funcs import _ode_func as ode
from ._diffeq_funcs import _sde_func as sde

from ._train_model import _train_model

from ._pca import pca

from ._evaluate import _evaluate_test_traj as evaluate

from ._calculate_cell_metrics import _count_genes as count_genes
from ._calculate_cell_metrics import _calculate_potency as calculate_potency

from ._ml_utils import _RunningAverageMeter as RunningAverageMeter